// Code generated by protoc-gen-go. DO NOT EDIT.
// source: pkg/nex.proto

package nex

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	grpc "google.golang.org/grpc"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// network ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
type Network struct {
	Name                 string        `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Subnet4              string        `protobuf:"bytes,2,opt,name=subnet4,proto3" json:"subnet4,omitempty" yaml:"subnet4,omitempty" mapstructure:"subnet4,omitempty"`
	Subnet6              string        `protobuf:"bytes,3,opt,name=subnet6,proto3" json:"subnet6,omitempty" yaml:"subnet6,omitempty" mapstructure:"subnet6,omitempty"`
	Dhcp4Server          string        `protobuf:"bytes,4,opt,name=dhcp4server,proto3" json:"dhcp4server,omitempty" yaml:"dhcp4server,omitempty" mapstructure:"dhcp4server,omitempty"`
	Dhcp6Server          string        `protobuf:"bytes,5,opt,name=dhcp6server,proto3" json:"dhcp6server,omitempty" yaml:"dhcp6server,omitempty" mapstructure:"dhcp6server,omitempty"`
	Range4               *AddressRange `protobuf:"bytes,6,opt,name=range4,proto3" json:"range4,omitempty" yaml:"range4,omitempty" mapstructure:"range4,omitempty"`
	Range6               *AddressRange `protobuf:"bytes,7,opt,name=range6,proto3" json:"range6,omitempty" yaml:"range6,omitempty" mapstructure:"range6,omitempty"`
	Gateways             []string      `protobuf:"bytes,8,rep,name=gateways,proto3" json:"gateways,omitempty" yaml:"gateways,omitempty" mapstructure:"gateways,omitempty"`
	Nameservers          []string      `protobuf:"bytes,9,rep,name=nameservers,proto3" json:"nameservers,omitempty" yaml:"nameservers,omitempty" mapstructure:"nameservers,omitempty"`
	Options              []*Option     `protobuf:"bytes,10,rep,name=options,proto3" json:"options,omitempty" yaml:"options,omitempty" mapstructure:"options,omitempty"`
	Domain               string        `protobuf:"bytes,11,opt,name=domain,proto3" json:"domain,omitempty" yaml:"domain,omitempty" mapstructure:"domain,omitempty"`
	MacRange             *AddressRange `protobuf:"bytes,12,opt,name=mac_range,json=macRange,proto3" json:"mac_range,omitempty" yaml:"mac_range,omitempty" mapstructure:"mac_range,omitempty"`
	Siaddr               string        `protobuf:"bytes,13,opt,name=siaddr,proto3" json:"siaddr,omitempty" yaml:"siaddr,omitempty" mapstructure:"siaddr,omitempty"`
	LeaseDuration        uint64        `protobuf:"varint,14,opt,name=lease_duration,json=leaseDuration,proto3" json:"lease_duration,omitempty" yaml:"lease_duration,omitempty" mapstructure:"lease_duration,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte        `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32         `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Network) Reset()         { *m = Network{} }
func (m *Network) String() string { return proto.CompactTextString(m) }
func (*Network) ProtoMessage()    {}
func (*Network) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{0}
}

func (m *Network) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Network.Unmarshal(m, b)
}
func (m *Network) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Network.Marshal(b, m, deterministic)
}
func (m *Network) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Network.Merge(m, src)
}
func (m *Network) XXX_Size() int {
	return xxx_messageInfo_Network.Size(m)
}
func (m *Network) XXX_DiscardUnknown() {
	xxx_messageInfo_Network.DiscardUnknown(m)
}

var xxx_messageInfo_Network proto.InternalMessageInfo

func (m *Network) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Network) GetSubnet4() string {
	if m != nil {
		return m.Subnet4
	}
	return ""
}

func (m *Network) GetSubnet6() string {
	if m != nil {
		return m.Subnet6
	}
	return ""
}

func (m *Network) GetDhcp4Server() string {
	if m != nil {
		return m.Dhcp4Server
	}
	return ""
}

func (m *Network) GetDhcp6Server() string {
	if m != nil {
		return m.Dhcp6Server
	}
	return ""
}

func (m *Network) GetRange4() *AddressRange {
	if m != nil {
		return m.Range4
	}
	return nil
}

func (m *Network) GetRange6() *AddressRange {
	if m != nil {
		return m.Range6
	}
	return nil
}

func (m *Network) GetGateways() []string {
	if m != nil {
		return m.Gateways
	}
	return nil
}

func (m *Network) GetNameservers() []string {
	if m != nil {
		return m.Nameservers
	}
	return nil
}

func (m *Network) GetOptions() []*Option {
	if m != nil {
		return m.Options
	}
	return nil
}

func (m *Network) GetDomain() string {
	if m != nil {
		return m.Domain
	}
	return ""
}

func (m *Network) GetMacRange() *AddressRange {
	if m != nil {
		return m.MacRange
	}
	return nil
}

func (m *Network) GetSiaddr() string {
	if m != nil {
		return m.Siaddr
	}
	return ""
}

func (m *Network) GetLeaseDuration() uint64 {
	if m != nil {
		return m.LeaseDuration
	}
	return 0
}

type NetworkUpdateRequest struct {
	Name                 string                `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Subnet4              *wrappers.StringValue `protobuf:"bytes,2,opt,name=subnet4,proto3" json:"subnet4,omitempty" yaml:"subnet4,omitempty" mapstructure:"subnet4,omitempty"`
	Subnet6              *wrappers.StringValue `protobuf:"bytes,3,opt,name=subnet6,proto3" json:"subnet6,omitempty" yaml:"subnet6,omitempty" mapstructure:"subnet6,omitempty"`
	Dhcp4Server          *wrappers.StringValue `protobuf:"bytes,4,opt,name=dhcp4server,proto3" json:"dhcp4server,omitempty" yaml:"dhcp4server,omitempty" mapstructure:"dhcp4server,omitempty"`
	Dhcp6Server          *wrappers.StringValue `protobuf:"bytes,5,opt,name=dhcp6server,proto3" json:"dhcp6server,omitempty" yaml:"dhcp6server,omitempty" mapstructure:"dhcp6server,omitempty"`
	Range4               *AddressRange         `protobuf:"bytes,6,opt,name=Range4,proto3" json:"Range4,omitempty" yaml:"Range4,omitempty" mapstructure:"Range4,omitempty"`
	Range6               *AddressRange         `protobuf:"bytes,7,opt,name=Range6,proto3" json:"Range6,omitempty" yaml:"Range6,omitempty" mapstructure:"Range6,omitempty"`
	GatewaysPresent      []string              `protobuf:"bytes,8,rep,name=gateways_present,json=gatewaysPresent,proto3" json:"gateways_present,omitempty" yaml:"gateways_present,omitempty" mapstructure:"gateways_present,omitempty"`
	GatewaysAbsent       []string              `protobuf:"bytes,9,rep,name=gateways_absent,json=gatewaysAbsent,proto3" json:"gateways_absent,omitempty" yaml:"gateways_absent,omitempty" mapstructure:"gateways_absent,omitempty"`
	NameserversPresent   []string              `protobuf:"bytes,10,rep,name=nameservers_present,json=nameserversPresent,proto3" json:"nameservers_present,omitempty" yaml:"nameservers_present,omitempty" mapstructure:"nameservers_present,omitempty"`
	NameserversAbsent    []string              `protobuf:"bytes,11,rep,name=nameservers_absent,json=nameserversAbsent,proto3" json:"nameservers_absent,omitempty" yaml:"nameservers_absent,omitempty" mapstructure:"nameservers_absent,omitempty"`
	OptionsPresent       []*Option             `protobuf:"bytes,12,rep,name=options_present,json=optionsPresent,proto3" json:"options_present,omitempty" yaml:"options_present,omitempty" mapstructure:"options_present,omitempty"`
	OptionsAbsent        []*Option             `protobuf:"bytes,13,rep,name=options_absent,json=optionsAbsent,proto3" json:"options_absent,omitempty" yaml:"options_absent,omitempty" mapstructure:"options_absent,omitempty"`
	Domain               *wrappers.StringValue `protobuf:"bytes,14,opt,name=domain,proto3" json:"domain,omitempty" yaml:"domain,omitempty" mapstructure:"domain,omitempty"`
	MacRange             *AddressRange         `protobuf:"bytes,15,opt,name=macRange,proto3" json:"macRange,omitempty" yaml:"macRange,omitempty" mapstructure:"macRange,omitempty"`
	Siaddr               *wrappers.StringValue `protobuf:"bytes,16,opt,name=siaddr,proto3" json:"siaddr,omitempty" yaml:"siaddr,omitempty" mapstructure:"siaddr,omitempty"`
	LeaseDuration        *wrappers.UInt64Value `protobuf:"bytes,17,opt,name=lease_duration,json=leaseDuration,proto3" json:"lease_duration,omitempty" yaml:"lease_duration,omitempty" mapstructure:"lease_duration,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte                `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32                 `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *NetworkUpdateRequest) Reset()         { *m = NetworkUpdateRequest{} }
func (m *NetworkUpdateRequest) String() string { return proto.CompactTextString(m) }
func (*NetworkUpdateRequest) ProtoMessage()    {}
func (*NetworkUpdateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{1}
}

func (m *NetworkUpdateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NetworkUpdateRequest.Unmarshal(m, b)
}
func (m *NetworkUpdateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NetworkUpdateRequest.Marshal(b, m, deterministic)
}
func (m *NetworkUpdateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NetworkUpdateRequest.Merge(m, src)
}
func (m *NetworkUpdateRequest) XXX_Size() int {
	return xxx_messageInfo_NetworkUpdateRequest.Size(m)
}
func (m *NetworkUpdateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_NetworkUpdateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_NetworkUpdateRequest proto.InternalMessageInfo

func (m *NetworkUpdateRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *NetworkUpdateRequest) GetSubnet4() *wrappers.StringValue {
	if m != nil {
		return m.Subnet4
	}
	return nil
}

func (m *NetworkUpdateRequest) GetSubnet6() *wrappers.StringValue {
	if m != nil {
		return m.Subnet6
	}
	return nil
}

func (m *NetworkUpdateRequest) GetDhcp4Server() *wrappers.StringValue {
	if m != nil {
		return m.Dhcp4Server
	}
	return nil
}

func (m *NetworkUpdateRequest) GetDhcp6Server() *wrappers.StringValue {
	if m != nil {
		return m.Dhcp6Server
	}
	return nil
}

func (m *NetworkUpdateRequest) GetRange4() *AddressRange {
	if m != nil {
		return m.Range4
	}
	return nil
}

func (m *NetworkUpdateRequest) GetRange6() *AddressRange {
	if m != nil {
		return m.Range6
	}
	return nil
}

func (m *NetworkUpdateRequest) GetGatewaysPresent() []string {
	if m != nil {
		return m.GatewaysPresent
	}
	return nil
}

func (m *NetworkUpdateRequest) GetGatewaysAbsent() []string {
	if m != nil {
		return m.GatewaysAbsent
	}
	return nil
}

func (m *NetworkUpdateRequest) GetNameserversPresent() []string {
	if m != nil {
		return m.NameserversPresent
	}
	return nil
}

func (m *NetworkUpdateRequest) GetNameserversAbsent() []string {
	if m != nil {
		return m.NameserversAbsent
	}
	return nil
}

func (m *NetworkUpdateRequest) GetOptionsPresent() []*Option {
	if m != nil {
		return m.OptionsPresent
	}
	return nil
}

func (m *NetworkUpdateRequest) GetOptionsAbsent() []*Option {
	if m != nil {
		return m.OptionsAbsent
	}
	return nil
}

func (m *NetworkUpdateRequest) GetDomain() *wrappers.StringValue {
	if m != nil {
		return m.Domain
	}
	return nil
}

func (m *NetworkUpdateRequest) GetMacRange() *AddressRange {
	if m != nil {
		return m.MacRange
	}
	return nil
}

func (m *NetworkUpdateRequest) GetSiaddr() *wrappers.StringValue {
	if m != nil {
		return m.Siaddr
	}
	return nil
}

func (m *NetworkUpdateRequest) GetLeaseDuration() *wrappers.UInt64Value {
	if m != nil {
		return m.LeaseDuration
	}
	return nil
}

type NetworkUpdateResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *NetworkUpdateResponse) Reset()         { *m = NetworkUpdateResponse{} }
func (m *NetworkUpdateResponse) String() string { return proto.CompactTextString(m) }
func (*NetworkUpdateResponse) ProtoMessage()    {}
func (*NetworkUpdateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{2}
}

func (m *NetworkUpdateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NetworkUpdateResponse.Unmarshal(m, b)
}
func (m *NetworkUpdateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NetworkUpdateResponse.Marshal(b, m, deterministic)
}
func (m *NetworkUpdateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NetworkUpdateResponse.Merge(m, src)
}
func (m *NetworkUpdateResponse) XXX_Size() int {
	return xxx_messageInfo_NetworkUpdateResponse.Size(m)
}
func (m *NetworkUpdateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_NetworkUpdateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_NetworkUpdateResponse proto.InternalMessageInfo

type AddressRange struct {
	Begin                string   `protobuf:"bytes,1,opt,name=begin,proto3" json:"begin,omitempty" yaml:"begin,omitempty" mapstructure:"begin,omitempty"`
	End                  string   `protobuf:"bytes,2,opt,name=end,proto3" json:"end,omitempty" yaml:"end,omitempty" mapstructure:"end,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddressRange) Reset()         { *m = AddressRange{} }
func (m *AddressRange) String() string { return proto.CompactTextString(m) }
func (*AddressRange) ProtoMessage()    {}
func (*AddressRange) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{3}
}

func (m *AddressRange) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddressRange.Unmarshal(m, b)
}
func (m *AddressRange) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddressRange.Marshal(b, m, deterministic)
}
func (m *AddressRange) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddressRange.Merge(m, src)
}
func (m *AddressRange) XXX_Size() int {
	return xxx_messageInfo_AddressRange.Size(m)
}
func (m *AddressRange) XXX_DiscardUnknown() {
	xxx_messageInfo_AddressRange.DiscardUnknown(m)
}

var xxx_messageInfo_AddressRange proto.InternalMessageInfo

func (m *AddressRange) GetBegin() string {
	if m != nil {
		return m.Begin
	}
	return ""
}

func (m *AddressRange) GetEnd() string {
	if m != nil {
		return m.End
	}
	return ""
}

type Option struct {
	Number               int32    `protobuf:"varint,1,opt,name=number,proto3" json:"number,omitempty" yaml:"number,omitempty" mapstructure:"number,omitempty"`
	Value                string   `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty" yaml:"value,omitempty" mapstructure:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Option) Reset()         { *m = Option{} }
func (m *Option) String() string { return proto.CompactTextString(m) }
func (*Option) ProtoMessage()    {}
func (*Option) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{4}
}

func (m *Option) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Option.Unmarshal(m, b)
}
func (m *Option) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Option.Marshal(b, m, deterministic)
}
func (m *Option) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Option.Merge(m, src)
}
func (m *Option) XXX_Size() int {
	return xxx_messageInfo_Option.Size(m)
}
func (m *Option) XXX_DiscardUnknown() {
	xxx_messageInfo_Option.DiscardUnknown(m)
}

var xxx_messageInfo_Option proto.InternalMessageInfo

func (m *Option) GetNumber() int32 {
	if m != nil {
		return m.Number
	}
	return 0
}

func (m *Option) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

// memberhsip ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
type AddMemberRequest struct {
	Network              string   `protobuf:"bytes,1,opt,name=network,proto3" json:"network,omitempty" yaml:"network,omitempty" mapstructure:"network,omitempty"`
	Mac                  []string `protobuf:"bytes,2,rep,name=mac,proto3" json:"mac,omitempty" yaml:"mac,omitempty" mapstructure:"mac,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddMemberRequest) Reset()         { *m = AddMemberRequest{} }
func (m *AddMemberRequest) String() string { return proto.CompactTextString(m) }
func (*AddMemberRequest) ProtoMessage()    {}
func (*AddMemberRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{5}
}

func (m *AddMemberRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddMemberRequest.Unmarshal(m, b)
}
func (m *AddMemberRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddMemberRequest.Marshal(b, m, deterministic)
}
func (m *AddMemberRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddMemberRequest.Merge(m, src)
}
func (m *AddMemberRequest) XXX_Size() int {
	return xxx_messageInfo_AddMemberRequest.Size(m)
}
func (m *AddMemberRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddMemberRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddMemberRequest proto.InternalMessageInfo

func (m *AddMemberRequest) GetNetwork() string {
	if m != nil {
		return m.Network
	}
	return ""
}

func (m *AddMemberRequest) GetMac() []string {
	if m != nil {
		return m.Mac
	}
	return nil
}

type AddMemberResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddMemberResponse) Reset()         { *m = AddMemberResponse{} }
func (m *AddMemberResponse) String() string { return proto.CompactTextString(m) }
func (*AddMemberResponse) ProtoMessage()    {}
func (*AddMemberResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{6}
}

func (m *AddMemberResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddMemberResponse.Unmarshal(m, b)
}
func (m *AddMemberResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddMemberResponse.Marshal(b, m, deterministic)
}
func (m *AddMemberResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddMemberResponse.Merge(m, src)
}
func (m *AddMemberResponse) XXX_Size() int {
	return xxx_messageInfo_AddMemberResponse.Size(m)
}
func (m *AddMemberResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddMemberResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddMemberResponse proto.InternalMessageInfo

type DeleteMembersRequest struct {
	Network              string   `protobuf:"bytes,1,opt,name=network,proto3" json:"network,omitempty" yaml:"network,omitempty" mapstructure:"network,omitempty"`
	List                 []string `protobuf:"bytes,2,rep,name=list,proto3" json:"list,omitempty" yaml:"list,omitempty" mapstructure:"list,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DeleteMembersRequest) Reset()         { *m = DeleteMembersRequest{} }
func (m *DeleteMembersRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteMembersRequest) ProtoMessage()    {}
func (*DeleteMembersRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{7}
}

func (m *DeleteMembersRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteMembersRequest.Unmarshal(m, b)
}
func (m *DeleteMembersRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteMembersRequest.Marshal(b, m, deterministic)
}
func (m *DeleteMembersRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteMembersRequest.Merge(m, src)
}
func (m *DeleteMembersRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteMembersRequest.Size(m)
}
func (m *DeleteMembersRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteMembersRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteMembersRequest proto.InternalMessageInfo

func (m *DeleteMembersRequest) GetNetwork() string {
	if m != nil {
		return m.Network
	}
	return ""
}

func (m *DeleteMembersRequest) GetList() []string {
	if m != nil {
		return m.List
	}
	return nil
}

type DeleteMembersResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DeleteMembersResponse) Reset()         { *m = DeleteMembersResponse{} }
func (m *DeleteMembersResponse) String() string { return proto.CompactTextString(m) }
func (*DeleteMembersResponse) ProtoMessage()    {}
func (*DeleteMembersResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{8}
}

func (m *DeleteMembersResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteMembersResponse.Unmarshal(m, b)
}
func (m *DeleteMembersResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteMembersResponse.Marshal(b, m, deterministic)
}
func (m *DeleteMembersResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteMembersResponse.Merge(m, src)
}
func (m *DeleteMembersResponse) XXX_Size() int {
	return xxx_messageInfo_DeleteMembersResponse.Size(m)
}
func (m *DeleteMembersResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteMembersResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteMembersResponse proto.InternalMessageInfo

type GetMembersRequest struct {
	Network              string   `protobuf:"bytes,1,opt,name=network,proto3" json:"network,omitempty" yaml:"network,omitempty" mapstructure:"network,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GetMembersRequest) Reset()         { *m = GetMembersRequest{} }
func (m *GetMembersRequest) String() string { return proto.CompactTextString(m) }
func (*GetMembersRequest) ProtoMessage()    {}
func (*GetMembersRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{9}
}

func (m *GetMembersRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetMembersRequest.Unmarshal(m, b)
}
func (m *GetMembersRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetMembersRequest.Marshal(b, m, deterministic)
}
func (m *GetMembersRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetMembersRequest.Merge(m, src)
}
func (m *GetMembersRequest) XXX_Size() int {
	return xxx_messageInfo_GetMembersRequest.Size(m)
}
func (m *GetMembersRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetMembersRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetMembersRequest proto.InternalMessageInfo

func (m *GetMembersRequest) GetNetwork() string {
	if m != nil {
		return m.Network
	}
	return ""
}

type GetMembersResponse struct {
	Members              []*Member `protobuf:"bytes,1,rep,name=members,proto3" json:"members,omitempty" yaml:"members,omitempty" mapstructure:"members,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32     `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GetMembersResponse) Reset()         { *m = GetMembersResponse{} }
func (m *GetMembersResponse) String() string { return proto.CompactTextString(m) }
func (*GetMembersResponse) ProtoMessage()    {}
func (*GetMembersResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{10}
}

func (m *GetMembersResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetMembersResponse.Unmarshal(m, b)
}
func (m *GetMembersResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetMembersResponse.Marshal(b, m, deterministic)
}
func (m *GetMembersResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetMembersResponse.Merge(m, src)
}
func (m *GetMembersResponse) XXX_Size() int {
	return xxx_messageInfo_GetMembersResponse.Size(m)
}
func (m *GetMembersResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetMembersResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetMembersResponse proto.InternalMessageInfo

func (m *GetMembersResponse) GetMembers() []*Member {
	if m != nil {
		return m.Members
	}
	return nil
}

type Member struct {
	Mac                  string   `protobuf:"bytes,1,opt,name=mac,proto3" json:"mac,omitempty" yaml:"mac,omitempty" mapstructure:"mac,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Ip4                  *Lease   `protobuf:"bytes,3,opt,name=ip4,proto3" json:"ip4,omitempty" yaml:"ip4,omitempty" mapstructure:"ip4,omitempty"`
	Ip6                  *Lease   `protobuf:"bytes,4,opt,name=ip6,proto3" json:"ip6,omitempty" yaml:"ip6,omitempty" mapstructure:"ip6,omitempty"`
	Net                  string   `protobuf:"bytes,5,opt,name=net,proto3" json:"net,omitempty" yaml:"net,omitempty" mapstructure:"net,omitempty"`
	ClientName           string   `protobuf:"bytes,6,opt,name=client_name,json=clientName,proto3" json:"client_name,omitempty" yaml:"client_name,omitempty" mapstructure:"client_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Member) Reset()         { *m = Member{} }
func (m *Member) String() string { return proto.CompactTextString(m) }
func (*Member) ProtoMessage()    {}
func (*Member) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{11}
}

func (m *Member) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Member.Unmarshal(m, b)
}
func (m *Member) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Member.Marshal(b, m, deterministic)
}
func (m *Member) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Member.Merge(m, src)
}
func (m *Member) XXX_Size() int {
	return xxx_messageInfo_Member.Size(m)
}
func (m *Member) XXX_DiscardUnknown() {
	xxx_messageInfo_Member.DiscardUnknown(m)
}

var xxx_messageInfo_Member proto.InternalMessageInfo

func (m *Member) GetMac() string {
	if m != nil {
		return m.Mac
	}
	return ""
}

func (m *Member) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Member) GetIp4() *Lease {
	if m != nil {
		return m.Ip4
	}
	return nil
}

func (m *Member) GetIp6() *Lease {
	if m != nil {
		return m.Ip6
	}
	return nil
}

func (m *Member) GetNet() string {
	if m != nil {
		return m.Net
	}
	return ""
}

func (m *Member) GetClientName() string {
	if m != nil {
		return m.ClientName
	}
	return ""
}

type Lease struct {
	Address              string               `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty" yaml:"address,omitempty" mapstructure:"address,omitempty"`
	Expires              *timestamp.Timestamp `protobuf:"bytes,2,opt,name=expires,proto3" json:"expires,omitempty" yaml:"expires,omitempty" mapstructure:"expires,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte               `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32                `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Lease) Reset()         { *m = Lease{} }
func (m *Lease) String() string { return proto.CompactTextString(m) }
func (*Lease) ProtoMessage()    {}
func (*Lease) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{12}
}

func (m *Lease) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Lease.Unmarshal(m, b)
}
func (m *Lease) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Lease.Marshal(b, m, deterministic)
}
func (m *Lease) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Lease.Merge(m, src)
}
func (m *Lease) XXX_Size() int {
	return xxx_messageInfo_Lease.Size(m)
}
func (m *Lease) XXX_DiscardUnknown() {
	xxx_messageInfo_Lease.DiscardUnknown(m)
}

var xxx_messageInfo_Lease proto.InternalMessageInfo

func (m *Lease) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Lease) GetExpires() *timestamp.Timestamp {
	if m != nil {
		return m.Expires
	}
	return nil
}

type MemberUpdate struct {
	Mac                  string                `protobuf:"bytes,1,opt,name=mac,proto3" json:"mac,omitempty" yaml:"mac,omitempty" mapstructure:"mac,omitempty"`
	Name                 *wrappers.StringValue `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Ip4                  *Lease                `protobuf:"bytes,3,opt,name=ip4,proto3" json:"ip4,omitempty" yaml:"ip4,omitempty" mapstructure:"ip4,omitempty"`
	Ip6                  *Lease                `protobuf:"bytes,4,opt,name=ip6,proto3" json:"ip6,omitempty" yaml:"ip6,omitempty" mapstructure:"ip6,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte                `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32                 `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *MemberUpdate) Reset()         { *m = MemberUpdate{} }
func (m *MemberUpdate) String() string { return proto.CompactTextString(m) }
func (*MemberUpdate) ProtoMessage()    {}
func (*MemberUpdate) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{13}
}

func (m *MemberUpdate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MemberUpdate.Unmarshal(m, b)
}
func (m *MemberUpdate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MemberUpdate.Marshal(b, m, deterministic)
}
func (m *MemberUpdate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MemberUpdate.Merge(m, src)
}
func (m *MemberUpdate) XXX_Size() int {
	return xxx_messageInfo_MemberUpdate.Size(m)
}
func (m *MemberUpdate) XXX_DiscardUnknown() {
	xxx_messageInfo_MemberUpdate.DiscardUnknown(m)
}

var xxx_messageInfo_MemberUpdate proto.InternalMessageInfo

func (m *MemberUpdate) GetMac() string {
	if m != nil {
		return m.Mac
	}
	return ""
}

func (m *MemberUpdate) GetName() *wrappers.StringValue {
	if m != nil {
		return m.Name
	}
	return nil
}

func (m *MemberUpdate) GetIp4() *Lease {
	if m != nil {
		return m.Ip4
	}
	return nil
}

func (m *MemberUpdate) GetIp6() *Lease {
	if m != nil {
		return m.Ip6
	}
	return nil
}

type MemberList struct {
	Net                  string    `protobuf:"bytes,1,opt,name=net,proto3" json:"net,omitempty" yaml:"net,omitempty" mapstructure:"net,omitempty"`
	List                 []*Member `protobuf:"bytes,2,rep,name=list,proto3" json:"list,omitempty" yaml:"list,omitempty" mapstructure:"list,omitempty"`
	Force                bool      `protobuf:"varint,3,opt,name=force,proto3" json:"force,omitempty" yaml:"force,omitempty" mapstructure:"force,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32     `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *MemberList) Reset()         { *m = MemberList{} }
func (m *MemberList) String() string { return proto.CompactTextString(m) }
func (*MemberList) ProtoMessage()    {}
func (*MemberList) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{14}
}

func (m *MemberList) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MemberList.Unmarshal(m, b)
}
func (m *MemberList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MemberList.Marshal(b, m, deterministic)
}
func (m *MemberList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MemberList.Merge(m, src)
}
func (m *MemberList) XXX_Size() int {
	return xxx_messageInfo_MemberList.Size(m)
}
func (m *MemberList) XXX_DiscardUnknown() {
	xxx_messageInfo_MemberList.DiscardUnknown(m)
}

var xxx_messageInfo_MemberList proto.InternalMessageInfo

func (m *MemberList) GetNet() string {
	if m != nil {
		return m.Net
	}
	return ""
}

func (m *MemberList) GetList() []*Member {
	if m != nil {
		return m.List
	}
	return nil
}

func (m *MemberList) GetForce() bool {
	if m != nil {
		return m.Force
	}
	return false
}

type AddMembersResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddMembersResponse) Reset()         { *m = AddMembersResponse{} }
func (m *AddMembersResponse) String() string { return proto.CompactTextString(m) }
func (*AddMembersResponse) ProtoMessage()    {}
func (*AddMembersResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{15}
}

func (m *AddMembersResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddMembersResponse.Unmarshal(m, b)
}
func (m *AddMembersResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddMembersResponse.Marshal(b, m, deterministic)
}
func (m *AddMembersResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddMembersResponse.Merge(m, src)
}
func (m *AddMembersResponse) XXX_Size() int {
	return xxx_messageInfo_AddMembersResponse.Size(m)
}
func (m *AddMembersResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddMembersResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddMembersResponse proto.InternalMessageInfo

type UpdateList struct {
	Net                  string          `protobuf:"bytes,1,opt,name=net,proto3" json:"net,omitempty" yaml:"net,omitempty" mapstructure:"net,omitempty"`
	List                 []*MemberUpdate `protobuf:"bytes,2,rep,name=list,proto3" json:"list,omitempty" yaml:"list,omitempty" mapstructure:"list,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte          `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32           `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *UpdateList) Reset()         { *m = UpdateList{} }
func (m *UpdateList) String() string { return proto.CompactTextString(m) }
func (*UpdateList) ProtoMessage()    {}
func (*UpdateList) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{16}
}

func (m *UpdateList) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateList.Unmarshal(m, b)
}
func (m *UpdateList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateList.Marshal(b, m, deterministic)
}
func (m *UpdateList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateList.Merge(m, src)
}
func (m *UpdateList) XXX_Size() int {
	return xxx_messageInfo_UpdateList.Size(m)
}
func (m *UpdateList) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateList.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateList proto.InternalMessageInfo

func (m *UpdateList) GetNet() string {
	if m != nil {
		return m.Net
	}
	return ""
}

func (m *UpdateList) GetList() []*MemberUpdate {
	if m != nil {
		return m.List
	}
	return nil
}

type UpdateMembersResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *UpdateMembersResponse) Reset()         { *m = UpdateMembersResponse{} }
func (m *UpdateMembersResponse) String() string { return proto.CompactTextString(m) }
func (*UpdateMembersResponse) ProtoMessage()    {}
func (*UpdateMembersResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{17}
}

func (m *UpdateMembersResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateMembersResponse.Unmarshal(m, b)
}
func (m *UpdateMembersResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateMembersResponse.Marshal(b, m, deterministic)
}
func (m *UpdateMembersResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateMembersResponse.Merge(m, src)
}
func (m *UpdateMembersResponse) XXX_Size() int {
	return xxx_messageInfo_UpdateMembersResponse.Size(m)
}
func (m *UpdateMembersResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateMembersResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateMembersResponse proto.InternalMessageInfo

type AddNetworkRequest struct {
	Network              *Network `protobuf:"bytes,1,opt,name=network,proto3" json:"network,omitempty" yaml:"network,omitempty" mapstructure:"network,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddNetworkRequest) Reset()         { *m = AddNetworkRequest{} }
func (m *AddNetworkRequest) String() string { return proto.CompactTextString(m) }
func (*AddNetworkRequest) ProtoMessage()    {}
func (*AddNetworkRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{18}
}

func (m *AddNetworkRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddNetworkRequest.Unmarshal(m, b)
}
func (m *AddNetworkRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddNetworkRequest.Marshal(b, m, deterministic)
}
func (m *AddNetworkRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddNetworkRequest.Merge(m, src)
}
func (m *AddNetworkRequest) XXX_Size() int {
	return xxx_messageInfo_AddNetworkRequest.Size(m)
}
func (m *AddNetworkRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddNetworkRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddNetworkRequest proto.InternalMessageInfo

func (m *AddNetworkRequest) GetNetwork() *Network {
	if m != nil {
		return m.Network
	}
	return nil
}

type AddNetworkResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddNetworkResponse) Reset()         { *m = AddNetworkResponse{} }
func (m *AddNetworkResponse) String() string { return proto.CompactTextString(m) }
func (*AddNetworkResponse) ProtoMessage()    {}
func (*AddNetworkResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{19}
}

func (m *AddNetworkResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddNetworkResponse.Unmarshal(m, b)
}
func (m *AddNetworkResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddNetworkResponse.Marshal(b, m, deterministic)
}
func (m *AddNetworkResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddNetworkResponse.Merge(m, src)
}
func (m *AddNetworkResponse) XXX_Size() int {
	return xxx_messageInfo_AddNetworkResponse.Size(m)
}
func (m *AddNetworkResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddNetworkResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddNetworkResponse proto.InternalMessageInfo

type DeleteNetworkRequest struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DeleteNetworkRequest) Reset()         { *m = DeleteNetworkRequest{} }
func (m *DeleteNetworkRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteNetworkRequest) ProtoMessage()    {}
func (*DeleteNetworkRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{20}
}

func (m *DeleteNetworkRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteNetworkRequest.Unmarshal(m, b)
}
func (m *DeleteNetworkRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteNetworkRequest.Marshal(b, m, deterministic)
}
func (m *DeleteNetworkRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteNetworkRequest.Merge(m, src)
}
func (m *DeleteNetworkRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteNetworkRequest.Size(m)
}
func (m *DeleteNetworkRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteNetworkRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteNetworkRequest proto.InternalMessageInfo

func (m *DeleteNetworkRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type DeleteNetworkResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DeleteNetworkResponse) Reset()         { *m = DeleteNetworkResponse{} }
func (m *DeleteNetworkResponse) String() string { return proto.CompactTextString(m) }
func (*DeleteNetworkResponse) ProtoMessage()    {}
func (*DeleteNetworkResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{21}
}

func (m *DeleteNetworkResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteNetworkResponse.Unmarshal(m, b)
}
func (m *DeleteNetworkResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteNetworkResponse.Marshal(b, m, deterministic)
}
func (m *DeleteNetworkResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteNetworkResponse.Merge(m, src)
}
func (m *DeleteNetworkResponse) XXX_Size() int {
	return xxx_messageInfo_DeleteNetworkResponse.Size(m)
}
func (m *DeleteNetworkResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteNetworkResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteNetworkResponse proto.InternalMessageInfo

type GetNetworkRequest struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GetNetworkRequest) Reset()         { *m = GetNetworkRequest{} }
func (m *GetNetworkRequest) String() string { return proto.CompactTextString(m) }
func (*GetNetworkRequest) ProtoMessage()    {}
func (*GetNetworkRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{22}
}

func (m *GetNetworkRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNetworkRequest.Unmarshal(m, b)
}
func (m *GetNetworkRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNetworkRequest.Marshal(b, m, deterministic)
}
func (m *GetNetworkRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNetworkRequest.Merge(m, src)
}
func (m *GetNetworkRequest) XXX_Size() int {
	return xxx_messageInfo_GetNetworkRequest.Size(m)
}
func (m *GetNetworkRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNetworkRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetNetworkRequest proto.InternalMessageInfo

func (m *GetNetworkRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type GetNetworkResponse struct {
	Net                  *Network `protobuf:"bytes,1,opt,name=net,proto3" json:"net,omitempty" yaml:"net,omitempty" mapstructure:"net,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GetNetworkResponse) Reset()         { *m = GetNetworkResponse{} }
func (m *GetNetworkResponse) String() string { return proto.CompactTextString(m) }
func (*GetNetworkResponse) ProtoMessage()    {}
func (*GetNetworkResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{23}
}

func (m *GetNetworkResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNetworkResponse.Unmarshal(m, b)
}
func (m *GetNetworkResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNetworkResponse.Marshal(b, m, deterministic)
}
func (m *GetNetworkResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNetworkResponse.Merge(m, src)
}
func (m *GetNetworkResponse) XXX_Size() int {
	return xxx_messageInfo_GetNetworkResponse.Size(m)
}
func (m *GetNetworkResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNetworkResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetNetworkResponse proto.InternalMessageInfo

func (m *GetNetworkResponse) GetNet() *Network {
	if m != nil {
		return m.Net
	}
	return nil
}

type GetNetworksRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GetNetworksRequest) Reset()         { *m = GetNetworksRequest{} }
func (m *GetNetworksRequest) String() string { return proto.CompactTextString(m) }
func (*GetNetworksRequest) ProtoMessage()    {}
func (*GetNetworksRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{24}
}

func (m *GetNetworksRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNetworksRequest.Unmarshal(m, b)
}
func (m *GetNetworksRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNetworksRequest.Marshal(b, m, deterministic)
}
func (m *GetNetworksRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNetworksRequest.Merge(m, src)
}
func (m *GetNetworksRequest) XXX_Size() int {
	return xxx_messageInfo_GetNetworksRequest.Size(m)
}
func (m *GetNetworksRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNetworksRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetNetworksRequest proto.InternalMessageInfo

type GetNetworksResponse struct {
	//repeated Network nets = 1;
	Nets                 []string `protobuf:"bytes,1,rep,name=nets,proto3" json:"nets,omitempty" yaml:"nets,omitempty" mapstructure:"nets,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GetNetworksResponse) Reset()         { *m = GetNetworksResponse{} }
func (m *GetNetworksResponse) String() string { return proto.CompactTextString(m) }
func (*GetNetworksResponse) ProtoMessage()    {}
func (*GetNetworksResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{25}
}

func (m *GetNetworksResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNetworksResponse.Unmarshal(m, b)
}
func (m *GetNetworksResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNetworksResponse.Marshal(b, m, deterministic)
}
func (m *GetNetworksResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNetworksResponse.Merge(m, src)
}
func (m *GetNetworksResponse) XXX_Size() int {
	return xxx_messageInfo_GetNetworksResponse.Size(m)
}
func (m *GetNetworksResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNetworksResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetNetworksResponse proto.InternalMessageInfo

func (m *GetNetworksResponse) GetNets() []string {
	if m != nil {
		return m.Nets
	}
	return nil
}

type ChangeList struct {
	Net                  string      `protobuf:"bytes,1,opt,name=net,proto3" json:"net,omitempty" yaml:"net,omitempty" mapstructure:"net,omitempty"`
	List                 []*IDChange `protobuf:"bytes,2,rep,name=list,proto3" json:"list,omitempty" yaml:"list,omitempty" mapstructure:"list,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte      `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32       `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *ChangeList) Reset()         { *m = ChangeList{} }
func (m *ChangeList) String() string { return proto.CompactTextString(m) }
func (*ChangeList) ProtoMessage()    {}
func (*ChangeList) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{26}
}

func (m *ChangeList) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChangeList.Unmarshal(m, b)
}
func (m *ChangeList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChangeList.Marshal(b, m, deterministic)
}
func (m *ChangeList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChangeList.Merge(m, src)
}
func (m *ChangeList) XXX_Size() int {
	return xxx_messageInfo_ChangeList.Size(m)
}
func (m *ChangeList) XXX_DiscardUnknown() {
	xxx_messageInfo_ChangeList.DiscardUnknown(m)
}

var xxx_messageInfo_ChangeList proto.InternalMessageInfo

func (m *ChangeList) GetNet() string {
	if m != nil {
		return m.Net
	}
	return ""
}

func (m *ChangeList) GetList() []*IDChange {
	if m != nil {
		return m.List
	}
	return nil
}

type IDChange struct {
	Old                  string   `protobuf:"bytes,1,opt,name=old,proto3" json:"old,omitempty" yaml:"old,omitempty" mapstructure:"old,omitempty"`
	New                  string   `protobuf:"bytes,2,opt,name=new,proto3" json:"new,omitempty" yaml:"new,omitempty" mapstructure:"new,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *IDChange) Reset()         { *m = IDChange{} }
func (m *IDChange) String() string { return proto.CompactTextString(m) }
func (*IDChange) ProtoMessage()    {}
func (*IDChange) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{27}
}

func (m *IDChange) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IDChange.Unmarshal(m, b)
}
func (m *IDChange) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IDChange.Marshal(b, m, deterministic)
}
func (m *IDChange) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IDChange.Merge(m, src)
}
func (m *IDChange) XXX_Size() int {
	return xxx_messageInfo_IDChange.Size(m)
}
func (m *IDChange) XXX_DiscardUnknown() {
	xxx_messageInfo_IDChange.DiscardUnknown(m)
}

var xxx_messageInfo_IDChange proto.InternalMessageInfo

func (m *IDChange) GetOld() string {
	if m != nil {
		return m.Old
	}
	return ""
}

func (m *IDChange) GetNew() string {
	if m != nil {
		return m.New
	}
	return ""
}

type ChangeMemberIDResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *ChangeMemberIDResponse) Reset()         { *m = ChangeMemberIDResponse{} }
func (m *ChangeMemberIDResponse) String() string { return proto.CompactTextString(m) }
func (*ChangeMemberIDResponse) ProtoMessage()    {}
func (*ChangeMemberIDResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0623fc8765aae3bd, []int{28}
}

func (m *ChangeMemberIDResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChangeMemberIDResponse.Unmarshal(m, b)
}
func (m *ChangeMemberIDResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChangeMemberIDResponse.Marshal(b, m, deterministic)
}
func (m *ChangeMemberIDResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChangeMemberIDResponse.Merge(m, src)
}
func (m *ChangeMemberIDResponse) XXX_Size() int {
	return xxx_messageInfo_ChangeMemberIDResponse.Size(m)
}
func (m *ChangeMemberIDResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ChangeMemberIDResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ChangeMemberIDResponse proto.InternalMessageInfo

func init() {
	proto.RegisterType((*Network)(nil), "nex.Network")
	proto.RegisterType((*NetworkUpdateRequest)(nil), "nex.NetworkUpdateRequest")
	proto.RegisterType((*NetworkUpdateResponse)(nil), "nex.NetworkUpdateResponse")
	proto.RegisterType((*AddressRange)(nil), "nex.AddressRange")
	proto.RegisterType((*Option)(nil), "nex.Option")
	proto.RegisterType((*AddMemberRequest)(nil), "nex.AddMemberRequest")
	proto.RegisterType((*AddMemberResponse)(nil), "nex.AddMemberResponse")
	proto.RegisterType((*DeleteMembersRequest)(nil), "nex.DeleteMembersRequest")
	proto.RegisterType((*DeleteMembersResponse)(nil), "nex.DeleteMembersResponse")
	proto.RegisterType((*GetMembersRequest)(nil), "nex.GetMembersRequest")
	proto.RegisterType((*GetMembersResponse)(nil), "nex.GetMembersResponse")
	proto.RegisterType((*Member)(nil), "nex.Member")
	proto.RegisterType((*Lease)(nil), "nex.Lease")
	proto.RegisterType((*MemberUpdate)(nil), "nex.MemberUpdate")
	proto.RegisterType((*MemberList)(nil), "nex.MemberList")
	proto.RegisterType((*AddMembersResponse)(nil), "nex.AddMembersResponse")
	proto.RegisterType((*UpdateList)(nil), "nex.UpdateList")
	proto.RegisterType((*UpdateMembersResponse)(nil), "nex.UpdateMembersResponse")
	proto.RegisterType((*AddNetworkRequest)(nil), "nex.AddNetworkRequest")
	proto.RegisterType((*AddNetworkResponse)(nil), "nex.AddNetworkResponse")
	proto.RegisterType((*DeleteNetworkRequest)(nil), "nex.DeleteNetworkRequest")
	proto.RegisterType((*DeleteNetworkResponse)(nil), "nex.DeleteNetworkResponse")
	proto.RegisterType((*GetNetworkRequest)(nil), "nex.GetNetworkRequest")
	proto.RegisterType((*GetNetworkResponse)(nil), "nex.GetNetworkResponse")
	proto.RegisterType((*GetNetworksRequest)(nil), "nex.GetNetworksRequest")
	proto.RegisterType((*GetNetworksResponse)(nil), "nex.GetNetworksResponse")
	proto.RegisterType((*ChangeList)(nil), "nex.ChangeList")
	proto.RegisterType((*IDChange)(nil), "nex.IDChange")
	proto.RegisterType((*ChangeMemberIDResponse)(nil), "nex.ChangeMemberIDResponse")
}

func init() { proto.RegisterFile("pkg/nex.proto", fileDescriptor_0623fc8765aae3bd) }

var fileDescriptor_0623fc8765aae3bd = []byte{
	// 1178 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x57, 0x6d, 0x6f, 0xe3, 0x44,
	0x10, 0x56, 0x2e, 0x6d, 0xd2, 0x4e, 0x9a, 0xb4, 0xd9, 0x96, 0x9e, 0x2f, 0x9c, 0x20, 0x58, 0x2a,
	0xd7, 0x22, 0x35, 0x41, 0x21, 0xb2, 0x84, 0xca, 0x55, 0x54, 0x57, 0x0e, 0x55, 0x3a, 0x0a, 0x32,
	0x14, 0x3e, 0x56, 0x4e, 0x3c, 0x97, 0x5a, 0x17, 0xbf, 0xe0, 0xdd, 0x5c, 0x7b, 0x7f, 0x82, 0x0f,
	0x7c, 0xe7, 0x77, 0xf1, 0x2f, 0xf8, 0x0d, 0x68, 0xdf, 0xec, 0xb5, 0x9d, 0x92, 0x48, 0x7c, 0xdb,
	0x9d, 0x97, 0x67, 0x66, 0x67, 0x9e, 0x19, 0x27, 0xd0, 0x4e, 0xde, 0xcd, 0x86, 0x11, 0x3e, 0x0c,
	0x92, 0x34, 0x66, 0x31, 0xa9, 0x47, 0xf8, 0xd0, 0x3b, 0x9b, 0x05, 0xec, 0x6e, 0x31, 0x19, 0x4c,
	0xe3, 0x70, 0x38, 0x8b, 0xe7, 0x5e, 0x34, 0x1b, 0x0a, 0xed, 0x64, 0xf1, 0x76, 0x98, 0xb0, 0x0f,
	0x09, 0xd2, 0x21, 0x0b, 0x42, 0xa4, 0xcc, 0x0b, 0x93, 0xfc, 0x24, 0x11, 0x7a, 0x5f, 0xaf, 0x76,
	0xbe, 0x4f, 0xbd, 0x24, 0xc1, 0x34, 0x3f, 0x48, 0x57, 0xfb, 0xef, 0x3a, 0x34, 0xaf, 0x91, 0xdd,
	0xc7, 0xe9, 0x3b, 0x42, 0x60, 0x23, 0xf2, 0x42, 0xb4, 0x6a, 0xfd, 0xda, 0xf1, 0xb6, 0x2b, 0xce,
	0xc4, 0x82, 0x26, 0x5d, 0x4c, 0x22, 0x64, 0x63, 0xeb, 0x89, 0x10, 0xeb, 0x6b, 0xae, 0x71, 0xac,
	0xba, 0xa9, 0x71, 0x48, 0x1f, 0x5a, 0xfe, 0xdd, 0x34, 0x19, 0x53, 0x4c, 0xdf, 0x63, 0x6a, 0x6d,
	0x08, 0xad, 0x29, 0xd2, 0x16, 0x8e, 0xb2, 0xd8, 0xcc, 0x2d, 0x94, 0x88, 0x9c, 0x40, 0x23, 0xf5,
	0xa2, 0x19, 0x8e, 0xad, 0x46, 0xbf, 0x76, 0xdc, 0x1a, 0x75, 0x07, 0xbc, 0x60, 0x17, 0xbe, 0x9f,
	0x22, 0xa5, 0x2e, 0xd7, 0xb8, 0xca, 0x20, 0x33, 0x75, 0xac, 0xe6, 0x7f, 0x9b, 0x3a, 0xa4, 0x07,
	0x5b, 0x33, 0x8f, 0xe1, 0xbd, 0xf7, 0x81, 0x5a, 0x5b, 0xfd, 0xfa, 0xf1, 0xb6, 0x9b, 0xdd, 0x79,
	0x4e, 0xfc, 0xc5, 0x32, 0x3e, 0xb5, 0xb6, 0x85, 0xda, 0x14, 0x91, 0x23, 0x68, 0xc6, 0x09, 0x0b,
	0xe2, 0x88, 0x5a, 0xd0, 0xaf, 0x1f, 0xb7, 0x46, 0x2d, 0x11, 0xe9, 0x47, 0x21, 0x73, 0xb5, 0x8e,
	0x1c, 0x42, 0xc3, 0x8f, 0x43, 0x2f, 0x88, 0xac, 0x96, 0x78, 0x97, 0xba, 0x91, 0x01, 0x6c, 0x87,
	0xde, 0xf4, 0x56, 0xa4, 0x62, 0xed, 0x3c, 0x96, 0xea, 0x56, 0xe8, 0x4d, 0xc5, 0x89, 0xe3, 0xd0,
	0xc0, 0xf3, 0xfd, 0xd4, 0x6a, 0x4b, 0x1c, 0x79, 0x23, 0x47, 0xd0, 0x99, 0xa3, 0x47, 0xf1, 0xd6,
	0x5f, 0xa4, 0x1e, 0x0f, 0x69, 0x75, 0xfa, 0xb5, 0xe3, 0x0d, 0xb7, 0x2d, 0xa4, 0x97, 0x4a, 0x68,
	0xff, 0xd3, 0x80, 0x03, 0xd5, 0xd9, 0x9b, 0xc4, 0xf7, 0x18, 0xba, 0xf8, 0xfb, 0x02, 0x29, 0x5b,
	0xda, 0x66, 0xa7, 0xd8, 0xe6, 0xd6, 0xe8, 0xf9, 0x60, 0x16, 0xc7, 0xb3, 0x39, 0x0e, 0x34, 0x91,
	0x06, 0x3f, 0xb3, 0x34, 0x88, 0x66, 0xbf, 0x7a, 0xf3, 0x05, 0xe6, 0x24, 0x70, 0x8a, 0x24, 0x58,
	0xd3, 0xcf, 0x21, 0xe7, 0x55, 0x8a, 0xac, 0xf2, 0x2d, 0x10, 0xe8, 0xbc, 0x4a, 0xa0, 0xb5, 0xfc,
	0x0d, 0x7a, 0xb9, 0xab, 0xe8, 0xe5, 0x66, 0xf4, 0x72, 0x57, 0xd1, 0x4b, 0x1a, 0x90, 0x13, 0xd8,
	0xd3, 0x74, 0xba, 0x4d, 0x52, 0xa4, 0x18, 0x31, 0x45, 0xb3, 0x5d, 0x2d, 0xff, 0x49, 0x8a, 0xc9,
	0x0b, 0xc8, 0x44, 0xb7, 0xde, 0x44, 0x58, 0x4a, 0xc6, 0x75, 0xb4, 0xf8, 0x42, 0x48, 0xc9, 0x10,
	0xf6, 0x0d, 0x0e, 0x66, 0xb0, 0x20, 0x8c, 0x89, 0xa1, 0xd2, 0xc8, 0xa7, 0x60, 0x4a, 0x35, 0x78,
	0x4b, 0xd8, 0x77, 0x0d, 0x8d, 0xc2, 0x1f, 0xc3, 0xae, 0x22, 0x6e, 0x86, 0xbd, 0x53, 0x25, 0x77,
	0x47, 0xd9, 0xe8, 0x20, 0x23, 0xd0, 0x12, 0x1d, 0xa0, 0x5d, 0x75, 0x6a, 0x2b, 0x93, 0x2c, 0x92,
	0x9e, 0x8b, 0xce, 0x1a, 0xed, 0xd2, 0x53, 0x73, 0x0a, 0xd9, 0x44, 0x58, 0xbb, 0xab, 0x87, 0x66,
	0x9c, 0x0d, 0xcd, 0xde, 0x3a, 0x41, 0xd4, 0x48, 0xbd, 0xaa, 0x8c, 0x54, 0xf7, 0x11, 0xef, 0x9b,
	0xab, 0x88, 0x39, 0x63, 0xe9, 0x5d, 0x1a, 0xb8, 0xa7, 0xf0, 0x51, 0x69, 0xde, 0x68, 0x12, 0x47,
	0x14, 0x6d, 0x07, 0x76, 0xcc, 0x6c, 0xc9, 0x01, 0x6c, 0x4e, 0x70, 0x16, 0x44, 0x6a, 0x02, 0xe5,
	0x85, 0xec, 0x41, 0x1d, 0x23, 0x5f, 0x6d, 0x59, 0x7e, 0xb4, 0x1d, 0x68, 0xc8, 0x4a, 0xf2, 0x55,
	0x10, 0x2d, 0xc2, 0x09, 0xa6, 0xc2, 0x65, 0xd3, 0x55, 0x37, 0x8e, 0xf4, 0x9e, 0xa7, 0xa2, 0xbc,
	0xe4, 0xc5, 0x3e, 0x87, 0xbd, 0x0b, 0xdf, 0xff, 0x01, 0xb9, 0x89, 0x1e, 0x7a, 0x0b, 0x9a, 0x91,
	0x4c, 0x4e, 0x45, 0xd5, 0x57, 0x1e, 0x37, 0xf4, 0xa6, 0xd6, 0x13, 0x41, 0x10, 0x7e, 0xb4, 0xf7,
	0xa1, 0x6b, 0xf8, 0xab, 0x47, 0x5c, 0xc2, 0xc1, 0x25, 0xce, 0x91, 0xa1, 0x94, 0xd3, 0xd5, 0xc0,
	0x04, 0x36, 0xe6, 0x01, 0x65, 0x0a, 0x59, 0x9c, 0x79, 0x8d, 0x4a, 0x28, 0x0a, 0xfe, 0x14, 0xba,
	0xdf, 0x23, 0x5b, 0x17, 0xdb, 0x3e, 0x03, 0x62, 0x9a, 0x4b, 0x10, 0xbe, 0xa0, 0x43, 0x29, 0xb2,
	0x6a, 0x06, 0x1d, 0xd5, 0x4b, 0xb4, 0xce, 0xfe, 0xab, 0x06, 0x0d, 0x29, 0xd3, 0x8f, 0x97, 0xe8,
	0xfc, 0x98, 0x6d, 0xc7, 0x27, 0xc6, 0x76, 0x7c, 0x0e, 0xf5, 0x20, 0x19, 0xab, 0x0d, 0x07, 0x02,
	0xf3, 0x0d, 0x6f, 0xbd, 0xcb, 0xc5, 0x52, 0xeb, 0xa8, 0x1d, 0x56, 0xd2, 0x3a, 0x3c, 0x42, 0x84,
	0x4c, 0x7d, 0xe2, 0xf8, 0x91, 0x7c, 0x0a, 0xad, 0xe9, 0x3c, 0xc0, 0x88, 0xdd, 0x8a, 0x40, 0x0d,
	0xa1, 0x01, 0x29, 0xba, 0xf6, 0x42, 0xb4, 0x7f, 0x83, 0x4d, 0x01, 0xc0, 0xdf, 0xef, 0x49, 0xe2,
	0xe8, 0xf7, 0xab, 0x2b, 0x19, 0x43, 0x13, 0x1f, 0x92, 0x20, 0x45, 0xaa, 0xf6, 0x75, 0xaf, 0xc2,
	0xd4, 0x5f, 0xf4, 0x8f, 0x04, 0x57, 0x9b, 0xda, 0x7f, 0xd4, 0x60, 0x47, 0x3e, 0x5c, 0x32, 0x74,
	0xc9, 0xf3, 0xbf, 0x34, 0x9e, 0xbf, 0x6a, 0x7a, 0xfe, 0x77, 0x71, 0xec, 0x1b, 0x00, 0x99, 0xcf,
	0x9b, 0x80, 0x32, 0x5d, 0xaa, 0x9a, 0x59, 0xaa, 0x9c, 0x42, 0xa5, 0x6e, 0x0a, 0x05, 0x1f, 0x80,
	0xb7, 0x71, 0x3a, 0x45, 0x11, 0x7e, 0xcb, 0x95, 0x17, 0xfb, 0x00, 0x48, 0x46, 0xe0, 0x9c, 0x62,
	0xdf, 0x01, 0xc8, 0x67, 0x3f, 0x12, 0xec, 0xa8, 0x10, 0xac, 0x6b, 0x04, 0x53, 0xf3, 0x9c, 0x51,
	0x58, 0xde, 0xcb, 0xf8, 0x67, 0x62, 0x6c, 0xd4, 0x0a, 0xd0, 0x14, 0xfe, 0xbc, 0x48, 0xe1, 0xd6,
	0x68, 0x47, 0xe0, 0x6a, 0xab, 0x8c, 0xd0, 0x32, 0xe5, 0xcc, 0x59, 0x41, 0x7e, 0xa1, 0x87, 0xae,
	0x84, 0xba, 0xe4, 0x13, 0x9e, 0x8f, 0x56, 0x19, 0xe4, 0x85, 0x18, 0xad, 0x35, 0x10, 0xc6, 0x62,
	0xa8, 0x4a, 0xee, 0xe4, 0x93, 0xbc, 0x50, 0xe5, 0xec, 0xb9, 0x82, 0x67, 0x9e, 0x7b, 0xe9, 0xd1,
	0xb5, 0x4f, 0x60, 0xbf, 0x20, 0x55, 0x60, 0x3c, 0x2c, 0x32, 0x39, 0x9e, 0x3c, 0x2c, 0x32, 0x6a,
	0x5f, 0x00, 0xbc, 0xba, 0xe3, 0x8b, 0xf1, 0x91, 0xbe, 0x7c, 0x56, 0xe8, 0x4b, 0x5b, 0x64, 0x70,
	0x75, 0x29, 0x5d, 0x54, 0x4f, 0x06, 0xb0, 0xa5, 0x25, 0x1c, 0x20, 0x9e, 0xfb, 0x1a, 0x20, 0x9e,
	0xfb, 0x12, 0xf2, 0x5e, 0x6f, 0xd6, 0x08, 0xef, 0x6d, 0x0b, 0x0e, 0xa5, 0xb5, 0xec, 0xe1, 0xd5,
	0xa5, 0x4e, 0x70, 0xf4, 0xe7, 0x26, 0xd4, 0xaf, 0xf1, 0x81, 0xbc, 0x04, 0xc8, 0x17, 0x0c, 0x39,
	0x14, 0x41, 0x2b, 0x0b, 0xaa, 0xf7, 0xb4, 0x22, 0x57, 0xef, 0x74, 0x00, 0x72, 0x06, 0x92, 0x5d,
	0x83, 0x4b, 0xfc, 0x91, 0xca, 0xaf, 0xca, 0x51, 0xf2, 0x1a, 0xda, 0x85, 0xfd, 0x48, 0x9e, 0x09,
	0xcb, 0x65, 0x9b, 0xb7, 0xd7, 0x5b, 0xa6, 0x52, 0x38, 0xdf, 0x40, 0xbb, 0x40, 0x52, 0x95, 0x42,
	0xce, 0x7f, 0xe5, 0xbd, 0x94, 0xc9, 0xe4, 0x1c, 0x3a, 0xc5, 0xf2, 0x28, 0xf7, 0xbc, 0x4d, 0xbd,
	0x8f, 0x0d, 0x41, 0xb9, 0x88, 0xe4, 0x5b, 0x68, 0x19, 0xcd, 0x27, 0x59, 0x95, 0x4a, 0x24, 0xe9,
	0x59, 0x55, 0x85, 0x42, 0x90, 0xe5, 0xd7, 0x7f, 0x4c, 0x0e, 0x4b, 0x76, 0x95, 0xf2, 0x97, 0x39,
	0xfb, 0x52, 0x94, 0xbf, 0xe8, 0x5e, 0x99, 0xcd, 0xbc, 0x0b, 0x65, 0xf7, 0xd7, 0xba, 0x7a, 0x1a,
	0xe1, 0x99, 0x49, 0xfb, 0xc2, 0xaf, 0x69, 0x55, 0xc7, 0xa5, 0x1f, 0xfe, 0xbc, 0x9b, 0x45, 0x9c,
	0x65, 0x23, 0x5d, 0xe8, 0x66, 0x29, 0x9f, 0x49, 0x43, 0xac, 0xdf, 0xaf, 0xfe, 0x0d, 0x00, 0x00,
	0xff, 0xff, 0xc6, 0x56, 0x21, 0x2a, 0x39, 0x0e, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// NexClient is the client API for Nex service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type NexClient interface {
	// membership
	GetMembers(ctx context.Context, in *GetMembersRequest, opts ...grpc.CallOption) (*GetMembersResponse, error)
	AddMembers(ctx context.Context, in *MemberList, opts ...grpc.CallOption) (*AddMembersResponse, error)
	DeleteMembers(ctx context.Context, in *DeleteMembersRequest, opts ...grpc.CallOption) (*DeleteMembersResponse, error)
	UpdateMembers(ctx context.Context, in *UpdateList, opts ...grpc.CallOption) (*UpdateMembersResponse, error)
	ChangeMemberID(ctx context.Context, in *ChangeList, opts ...grpc.CallOption) (*ChangeMemberIDResponse, error)
	// network
	GetNetworks(ctx context.Context, in *GetNetworksRequest, opts ...grpc.CallOption) (*GetNetworksResponse, error)
	GetNetwork(ctx context.Context, in *GetNetworkRequest, opts ...grpc.CallOption) (*GetNetworkResponse, error)
	AddNetwork(ctx context.Context, in *AddNetworkRequest, opts ...grpc.CallOption) (*AddNetworkResponse, error)
	UpdateNetwork(ctx context.Context, in *NetworkUpdateRequest, opts ...grpc.CallOption) (*NetworkUpdateResponse, error)
	DeleteNetwork(ctx context.Context, in *DeleteNetworkRequest, opts ...grpc.CallOption) (*DeleteNetworkResponse, error)
}

type nexClient struct {
	cc *grpc.ClientConn
}

func NewNexClient(cc *grpc.ClientConn) NexClient {
	return &nexClient{cc}
}

func (c *nexClient) GetMembers(ctx context.Context, in *GetMembersRequest, opts ...grpc.CallOption) (*GetMembersResponse, error) {
	out := new(GetMembersResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/GetMembers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) AddMembers(ctx context.Context, in *MemberList, opts ...grpc.CallOption) (*AddMembersResponse, error) {
	out := new(AddMembersResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/AddMembers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) DeleteMembers(ctx context.Context, in *DeleteMembersRequest, opts ...grpc.CallOption) (*DeleteMembersResponse, error) {
	out := new(DeleteMembersResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/DeleteMembers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) UpdateMembers(ctx context.Context, in *UpdateList, opts ...grpc.CallOption) (*UpdateMembersResponse, error) {
	out := new(UpdateMembersResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/UpdateMembers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) ChangeMemberID(ctx context.Context, in *ChangeList, opts ...grpc.CallOption) (*ChangeMemberIDResponse, error) {
	out := new(ChangeMemberIDResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/ChangeMemberID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) GetNetworks(ctx context.Context, in *GetNetworksRequest, opts ...grpc.CallOption) (*GetNetworksResponse, error) {
	out := new(GetNetworksResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/GetNetworks", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) GetNetwork(ctx context.Context, in *GetNetworkRequest, opts ...grpc.CallOption) (*GetNetworkResponse, error) {
	out := new(GetNetworkResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/GetNetwork", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) AddNetwork(ctx context.Context, in *AddNetworkRequest, opts ...grpc.CallOption) (*AddNetworkResponse, error) {
	out := new(AddNetworkResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/AddNetwork", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) UpdateNetwork(ctx context.Context, in *NetworkUpdateRequest, opts ...grpc.CallOption) (*NetworkUpdateResponse, error) {
	out := new(NetworkUpdateResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/UpdateNetwork", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nexClient) DeleteNetwork(ctx context.Context, in *DeleteNetworkRequest, opts ...grpc.CallOption) (*DeleteNetworkResponse, error) {
	out := new(DeleteNetworkResponse)
	err := c.cc.Invoke(ctx, "/nex.Nex/DeleteNetwork", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// NexServer is the server API for Nex service.
type NexServer interface {
	// membership
	GetMembers(context.Context, *GetMembersRequest) (*GetMembersResponse, error)
	AddMembers(context.Context, *MemberList) (*AddMembersResponse, error)
	DeleteMembers(context.Context, *DeleteMembersRequest) (*DeleteMembersResponse, error)
	UpdateMembers(context.Context, *UpdateList) (*UpdateMembersResponse, error)
	ChangeMemberID(context.Context, *ChangeList) (*ChangeMemberIDResponse, error)
	// network
	GetNetworks(context.Context, *GetNetworksRequest) (*GetNetworksResponse, error)
	GetNetwork(context.Context, *GetNetworkRequest) (*GetNetworkResponse, error)
	AddNetwork(context.Context, *AddNetworkRequest) (*AddNetworkResponse, error)
	UpdateNetwork(context.Context, *NetworkUpdateRequest) (*NetworkUpdateResponse, error)
	DeleteNetwork(context.Context, *DeleteNetworkRequest) (*DeleteNetworkResponse, error)
}

func RegisterNexServer(s *grpc.Server, srv NexServer) {
	s.RegisterService(&_Nex_serviceDesc, srv)
}

func _Nex_GetMembers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetMembersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).GetMembers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/GetMembers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).GetMembers(ctx, req.(*GetMembersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_AddMembers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MemberList)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).AddMembers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/AddMembers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).AddMembers(ctx, req.(*MemberList))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_DeleteMembers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteMembersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).DeleteMembers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/DeleteMembers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).DeleteMembers(ctx, req.(*DeleteMembersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_UpdateMembers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateList)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).UpdateMembers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/UpdateMembers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).UpdateMembers(ctx, req.(*UpdateList))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_ChangeMemberID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangeList)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).ChangeMemberID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/ChangeMemberID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).ChangeMemberID(ctx, req.(*ChangeList))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_GetNetworks_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNetworksRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).GetNetworks(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/GetNetworks",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).GetNetworks(ctx, req.(*GetNetworksRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_GetNetwork_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNetworkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).GetNetwork(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/GetNetwork",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).GetNetwork(ctx, req.(*GetNetworkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_AddNetwork_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddNetworkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).AddNetwork(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/AddNetwork",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).AddNetwork(ctx, req.(*AddNetworkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_UpdateNetwork_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NetworkUpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).UpdateNetwork(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/UpdateNetwork",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).UpdateNetwork(ctx, req.(*NetworkUpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nex_DeleteNetwork_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteNetworkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NexServer).DeleteNetwork(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nex.Nex/DeleteNetwork",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NexServer).DeleteNetwork(ctx, req.(*DeleteNetworkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Nex_serviceDesc = grpc.ServiceDesc{
	ServiceName: "nex.Nex",
	HandlerType: (*NexServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetMembers",
			Handler:    _Nex_GetMembers_Handler,
		},
		{
			MethodName: "AddMembers",
			Handler:    _Nex_AddMembers_Handler,
		},
		{
			MethodName: "DeleteMembers",
			Handler:    _Nex_DeleteMembers_Handler,
		},
		{
			MethodName: "UpdateMembers",
			Handler:    _Nex_UpdateMembers_Handler,
		},
		{
			MethodName: "ChangeMemberID",
			Handler:    _Nex_ChangeMemberID_Handler,
		},
		{
			MethodName: "GetNetworks",
			Handler:    _Nex_GetNetworks_Handler,
		},
		{
			MethodName: "GetNetwork",
			Handler:    _Nex_GetNetwork_Handler,
		},
		{
			MethodName: "AddNetwork",
			Handler:    _Nex_AddNetwork_Handler,
		},
		{
			MethodName: "UpdateNetwork",
			Handler:    _Nex_UpdateNetwork_Handler,
		},
		{
			MethodName: "DeleteNetwork",
			Handler:    _Nex_DeleteNetwork_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pkg/nex.proto",
}
